The GATK pipeline consists of two python files:
pipeline - the main executable script
pipeline_classes.py - helper classes

and two yaml-formatted files describing the pipeline:
clusters.yml - a file containing information about the data, a list
  containing key: value pairs
plan.yml - the full pipeline description

plan.yml (and the other files, but mainly plan.yml) contains 
items including the special sequence '{.+}'.  pipeline.py interprets
these as a request for a value stored under the key inside the brackets.
It will search all of the input files for the corresponding value and 
replace the entry.  If the information is sample-specific, then it should 
be in the cluster.yml file under the sample's entry.  It will loop over the
cluster.yml entries and fill in sample-specific information to generate a series of 
commands for that sample.

Usage:
python3 pipeline.py <options> plan.yml clusters.yml [extra yaml files]

option '-t' (test) will output the commands as text instead of running them.
